Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

GetAssetByID - Algorand

Example code for the GetAssetByID REST method. Complete guide on how to use GetAssetByID REST in GetBlock Web3 documentation.

Given an asset ID, returns asset information including creator, name, total supply, and special addresses.

Endpoint

GET /v2/assets/{asset-id}

Path Parameters

Parameter
Type
Required
Description

asset-id

integer

Yes

An asset identifier.

Example

export ALGO_ALGOD=https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/

curl "${ALGO_ALGOD}v2/assets/REPLACE_ASSET-ID"

Response

Returns application/json. Top-level fields:

Field
Type
Description

index

integer

unique asset identifier

params

object

AssetParams specifies the parameters for an asset.

Error Handling

Error
Message
Description

400

Bad request

A parameter was missing or malformed

404

Not found

The requested resource does not exist

403 / RBAC: access denied

Access denied

The GetBlock access token is missing or incorrect

Last updated

Was this helpful?